using Model;
using Xunit;

namespace Model.Tests
{
    public class AthleteTests
    {
        [Fact]
        public void CheckAdd_ValidUser_ReturnsTrue()
        {
            // Arrange
            var athlete = new Athlete();

            // Act
            var user = new User();
            var result = athlete.CheckAdd(user);

            // Assert
            Assert.True(result);
        }

        [Fact]
        public void CheckAdd_NullUser_ReturnsFalse()
        {
            // Arrange
            var athlete = new Athlete();

            // Act
            var result = athlete.CheckAdd(null);

            // Assert
            Assert.False(result);
        }

        [Fact]
        public void CheckAdd_NonAthleteUser_ReturnsFalse()
        {
            // Arrange
            var athlete = new Athlete();

            // Act
            var user = new User { Role = new Coach() }; // Assuming Coach inherits from Role
            var result = athlete.CheckAdd(user);

            // Assert
            Assert.False(result);
        }
    }
}